package name.lamperi.orbital

fun verify(graph : Graph, solution : List<String>) {
    // This verify method takes 1000 points from line to verify they do not pass earth
    val nodeList = graph.nodes.toList()
    for (i in 1..solution.size-1) {
        val a = graph.nodes[solution[i-1]]!!
        val b = graph.nodes[solution[i]]!!

        val av = toVec(a.info.point)
        val bv = toVec(b.info.point)

        val cv = bv - av

        for (j in 1 .. 1000) {
            val f = j * 0.001
            val dist = (av + cv*f).len()
            if (dist < EARTH_RADIUS) {
                throw IllegalArgumentException("Not a solution")
            }
        }
    }
}